import type { Address } from '@wormhole-foundation/sdk-connect';
import { UniversalAddress } from '@wormhole-foundation/sdk-connect';
import type { AnyEvmAddress } from './types.js';
export declare const EvmZeroAddress = "0x0000000000000000000000000000000000000000";
export declare class EvmAddress implements Address {
    static readonly byteSize = 20;
    static readonly platform: "Evm";
    readonly type: string;
    readonly address: string;
    constructor(address: AnyEvmAddress);
    unwrap(): string;
    toString(): string;
    toNative(): this;
    toUint8Array(): Uint8Array;
    toUniversalAddress(): UniversalAddress;
    private trimUniversalAddress;
    static isValidAddress(address: string): boolean;
    static instanceof(address: any): address is EvmAddress;
    equals(other: EvmAddress | UniversalAddress): boolean;
}
declare module '@wormhole-foundation/sdk-connect' {
    namespace WormholeRegistry {
        interface PlatformToNativeAddressMapping {
            Evm: EvmAddress;
        }
    }
}
//# sourceMappingURL=address.d.ts.map